Package org.apache.sling.cms

## Class ResourceTree

- java.lang.Object
- - org.apache.sling.cms.ResourceTree

    public class ResourceTree
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.apache.sling.api.resource.Resource` `getResource()`
`static Stream<ResourceTree>` `stream​(org.apache.sling.api.resource.Resource resource)`
`static Stream<ResourceTree>` `stream​(org.apache.sling.api.resource.Resource resource, String filterType)`
`static Stream<ResourceTree>` `stream​(org.apache.sling.api.resource.Resource resource, Predicate<org.apache.sling.api.resource.Resource> filterTraversal, Predicate<ResourceTree> filterInclude)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### stream

    public static Stream<ResourceTree> stream​(org.apache.sling.api.resource.Resource resource)

#### stream

    public static Stream<ResourceTree> stream​(org.apache.sling.api.resource.Resource resource,
                                              String filterType)

#### stream

    public static Stream<ResourceTree> stream​(org.apache.sling.api.resource.Resource resource,
                                              Predicate<org.apache.sling.api.resource.Resource> filterTraversal,
                                              Predicate<ResourceTree> filterInclude)

#### getResource

    public org.apache.sling.api.resource.Resource getResource()